#include "widget.h"

Widget::Widget(QWidget *parent) : QWidget(parent){
    QVBoxLayout *mainLay = new QVBoxLayout(this);

    QVBoxLayout *hiddenLay = new QVBoxLayout;
    hiddenGrp = new QGroupBox;
    hiddenGrp->setLayout(hiddenLay);
    hiddenGrp->hide();
    hiddenLay->addWidget(new QLabel("Some hidden text"));

    mainLay->addWidget(pushMeBtn = new QPushButton("Push Me"), 0, Qt::AlignTop | Qt::AlignLeft);
    pushMeBtn->setCheckable(true);
    QObject::connect(pushMeBtn, SIGNAL(toggled(bool)), this, SLOT(setGrpVisible(bool)));
    mainLay->addWidget(hiddenGrp, 0, Qt::AlignLeft | Qt::AlignTop);
    mainLay->addWidget(new QLabel("Bottom text"), 0, Qt::AlignLeft | Qt::AlignBottom);

    this->setLayout(mainLay);
    this->setFixedSize(300, 200);
}

Widget::~Widget(){

}

void Widget::setGrpVisible(bool is){
    hiddenGrp->setVisible(is);
}
